JConsoleContext (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jconsole, package: com.sun.tools.jconsole, interface: JConsoleContext
Keywords: com.sun.tools.jconsole.JConsoleContext interface

# Interface JConsoleContext

public interface JConsoleContext
`JConsoleContext` represents a JConsole connection to a target application.

`JConsoleContext` notifies any `PropertyChangeListeners` about the ConnectionState property change to `CONNECTED` and `DISCONNECTED`. The `JConsoleContext` instance will be the source for any generated events.

Since:
  1.6

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `JConsoleContext.ConnectionState`
  Values for the ConnectionState bound property.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTION_STATE_PROPERTY`
  The `ConnectionState` bound property name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  Add a `PropertyChangeListener` to the listener list.
  `JConsoleContext.ConnectionState`
  `getConnectionState()`
  Returns the current connection state.
  `MBeanServerConnection`
  `getMBeanServerConnection()`
  Returns the `MBeanServerConnection` for the connection to an application.
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  Removes a `PropertyChangeListener` from the listener list.

- ## Field Details

  - ### CONNECTION_STATE_PROPERTY

    static final String CONNECTION_STATE_PROPERTY
    The `ConnectionState` bound property name.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMBeanServerConnection

    MBeanServerConnection getMBeanServerConnection()
    Returns the `MBeanServerConnection` for the connection to an application. The returned `MBeanServerConnection` object becomes invalid when the connection state is changed to the `DISCONNECTED` state.
    Returns:
      the `MBeanServerConnection` for the connection to an application.

  - ### getConnectionState

    JConsoleContext.ConnectionState getConnectionState()
    Returns the current connection state.
    Returns:
      the current connection state.

  - ### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)
    Add a `PropertyChangeListener` to the listener list. The listener is registered for all properties. The same listener object may be added more than once, and will be called as many times as it is added. If `listener` is `null`, no exception is thrown and no action is taken.
    Parameters:
      `listener` - The `PropertyChangeListener` to be added

  - ### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)
    Removes a `PropertyChangeListener` from the listener list. This removes a `PropertyChangeListener` that was registered for all properties. If `listener` was added more than once to the same event source, it will be notified one less time after being removed. If `listener` is `null`, or was never added, no exception is thrown and no action is taken.
    Parameters:
      `listener` - the `PropertyChangeListener` to be removed